:root {
    --primary-color: #7C9DAF;
    --primary-dark-color: #496A7C;
    --primary-light-color: #AFD0E2;
    --primary-alternative-color: #667190;
}
html, body {
    height: 100%;
    margin: 0;
}
h3 {
    padding-bottom: 10px;
}
.wrapper {
    min-height: 100%;
    height: auto;
    /* Negative indent footer by its height */
    margin: 0 auto -30px;
    /* Pad bottom by footer height */
    padding: 0 0 30px;
}
body {
    min-height: 100%;
}
body {
    background: white;
    font-family: Arial, Helvetica, sans-serif;
}
body.login {
    background-color: var(--primary-color);
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
}
.footer {
    position: relative;
    bottom: 0;
    width: 100%;
    height: 30px;
    line-height: 30px;
    background-color: #f5f5f5;
}
.text-muted {
    color: #6c757d!important;
}
.center {
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center
}
ul.sidenav {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 20%;
    background-color: var(--primary-light-color);
    position: fixed;
    height: 100%;
    overflow: auto;
}
ul.sidenav.active {
    display: none;
}
ul.sidenav.active+div.content {
    margin-left: 0%;
}
ul.sidenav li .icon {
    display: none;
}
ul.sidenav li a, .dropdown-btn {
    position: relative;
    font-size: 1em;
    border: none;
    background: none;
    /*width: 100%;*/
    text-align: left;
    cursor: pointer;
    display: block;
    color: var(--primary-dark-color);
    padding: 8px 16px;
    text-decoration: none;
    font-family: "Proxima Nova", -apple-system, "Helvetica Neue", Helvetica, Roboto, Arial, sans-serif;
}
/* Dropdown container (hidden by default). Optional: add a lighter background color and some left padding to change the design of the dropdown content */

.dropdown-container {
    display: none;
    background-color: var(--primary-color);
    padding-left: 8px;
}
ul.sidenav li a.active, .dropdown-btn.active {
    background-color: var(--primary-dark-color);
    color: white;
}
/*ul.sidenav li a:hover:not(.active) ,  .dropdown-btn:hover:not(.active){
    background-color:var(--primary-dark-color);
    color: white;
}*/

div.content {
    margin-left: 20%;
    height: 100%;
}
div #div_principal {
    margin-top: 15px;
    padding: 1px 16px;
}
@media screen and (max-width: 900px) {
    .add {
        top: 31px;
    }
    ul.sidenav {
        width: 100%;
        height: auto;
        position: relative;
    }
    ul.sidenav li a.iconomarca {
        height: 48px;
        padding: 5px;
    }
    ul.sidenav li a {
        float: left;
        padding: 15px;
    }
    ul.sidenav li.nav-right {
        float: right;
    }
    a.iconomarca img {
        width: 65px;
        height: 30px;
    }
    div.content {
        margin-left: 0;
    }
    ul.breadcrumb li.nav-right {
        width: 350px;
    }
}
@media screen and (max-width: 900px) {
    ul.sidenav li a {
        text-align: center;
        float: none;
    }
    ul.sidenav li.nav-right {
        float: none;
    }
    ul.breadcrumb li.nav-right {
        width: 244px;
    }
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.container {
    border-radius: 5px;
    padding: 20px;
}
.container-fluid {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}
.col-15, .form-control.col-15 {
    float: left;
    width: 12.5%;
    padding-right: 5px;
    /*  margin-top: 6px;*/
}
.col-25, .form-control.col-25 {
    float: left;
    width: 25%;
    padding-right: 5px;
    /*  margin-top: 6px;*/
}
.col-33, .form-control.col-33 {
    float: left;
    width: 33%;
    padding-right: 5px;
    /*  margin-top: 6px;*/
}
.col-50, .form-control.col-50 {
    float: left;
    width: 50%;
    padding-right: 5px;
    /* margin-top: 6px;*/
}
.col-75, .form-control.col-75 {
    float: left;
    width: 75%;
    padding-right: 5px;
    /* margin-top: 6px;*/
}
.col-80, .form-control.col-80 {
    float: left;
    width: 80%;
    padding-right: 5px;
    /* margin-top: 6px;*/
}
.col-85, .form-control.col-85 {
    float: left;
    width: 87.5%;
    padding-right: 5px;
    /* margin-top: 6px;*/
}
/* Clear floats after the columns */

.row:after {
    content: "";
    display: table;
    clear: both;
    margin-bottom: 1rem;
}
.ml-auto, .mx-auto {
    margin-right: auto!important;
    margin-left: auto!important;
}
/* Responsive layout - when the screen is less than 600px wide, make the two columns stack on top of each other instead of next to each other */

@media screen and (max-width: 900px) {
    .col-15, .col-25, .col-33, .col-50, .col-75, .col-80, .col-85, .form-control.col-15, .form-control.col-25, .form-control.col-33, .form-control.col-50, .form-control.col-75, .form-control.col-80, .form-control.col-85, input[type=submit] {
        width: 100%;
        margin-top: 0;
    }
}
.col-center {
    display: block;
    margin-left: auto;
    margin-right: auto;
    float: none;
}
.card {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: .25rem;
}
.card-header {
    padding: .75rem 1.25rem;
    /* margin-bottom: 0; */
    background-color: rgba(0, 0, 0, .03);
    border-bottom: 1px solid rgba(0, 0, 0, .125);
}
.card-title, .card-footer {
    text-align: center;
    padding-bottom: 10px;
}
.col-100 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%;
}
/*@media (min-width: 900px){
.col-50, .form-control.col-50 {
    float: left;
    width: 50%;
    padding-right: 5px;
    -webkit-box-flex: 0;
    -ms-flex: 0 0 50%;
    flex: 0 0 50%;
    max-width: 50%;
}
}*/

.card-body {
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    padding: 1.25rem;
}
.btn {
    display: inline-block;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}
.btn.disabled, .btn:disabled {
    opacity: .65;
}
.btn-primary {
    color: #fff;
    background-color: var(--primary-dark-color);
    border-color: var(--primary-dark-color);
}
.btn-outline-primary:hover, .btn-primary:hover {
    color: #fff;
    background-color: var(--primary-light-color);
    border-color: var(--primary-light-color);
}
.btn-normal {
    color: #fff;
    background-color: #0062cc;
    border-color: #005cbf;
}
.btn-outline-normal:hover, .btn-normal:hover {
    color: #fff;
    background-color: #0069d9;
    border-color: #0062cc;
}
.btn-secondary {
    color: #fff;
    background-color: #6c757d;
    border-color: #6c757d;
}
.btn-outline-secondary:hover, .btn-secondary:hover {
    color: #fff;
    background-color: #545b62;
    border-color: #4e555b;
}
.btn-success {
    color: #fff;
    background-color: #28a745;
    border-color: #28a745;
}
.btn-outline-success:hover, .btn-success:hover {
    color: #fff;
    background-color: #218838;
    border-color: #1e7e34;
}
.btn-warning {
    color: #fff;
    background-color: #ffc107;
    border-color: #ffc107;
}
.btn-danger {
    color: #fff;
    background-color: #d9534f;
    border-color: #d43f3a;
}
.btn-outline-warning:hover, .btn-warning:hover {
    color: #212529;
    background-color: #d39e00;
    border-color: #c69500;
}
.btn-outline-danger:hover, .btn-danger:hover {
    color: #fff;
    background-color: #c9302c;
    border-color: #ac2925;
}
.btn-outline-primary {
    color: #007bff;
    background-color: transparent;
    background-image: none;
    border-color: #007bff;
}
.btn-outline-success {
    color: #28a745;
    background-color: transparent;
    background-image: none;
    border-color: #28a745;
}
.btn-outline-danger {
    color: #dc3545;
    background-color: transparent;
    background-image: none;
    border-color: #dc3545;
}
.btn-outline-info {
    color: #17a2b8;
    background-color: transparent;
    background-image: none;
    border-color: #17a2b8;
}
.btn-block {
    display: block;
    width: 100%;
}
/*tablas*/

table {
    border: 1px solid #ccc;
    border-collapse: collapse;
    margin: 0;
    padding: 0;
    width: 100%;
    table-layout: fixed;
}
table caption {
    font-size: 1.5em;
    margin: .5em 0 .75em;
}
table tr {
    background-color: #f8f8f8;
    border: 1px solid #ddd;
    padding: .35em;
}
table th, table td {
    padding: .625em;
    text-align: center;
    min-height: 2.5em;
}
table th a {
    font-size: .85em;
    letter-spacing: .1em;
    text-transform: uppercase;
    text-decoration: none;
    color: #000;
}
table th {
    font-size: .85em;
    letter-spacing: .1em;
    text-transform: uppercase;
}
.table-warning, .table-warning>td, .table-warning>th {
    background-color: #ffeeba;
}
@media screen and (max-width: 900px) {
    table {
        border: 0;
    }
    table caption {
        font-size: 1.3em;
    }
    table thead {
        border: none;
        clip: rect(0 0 0 0);
        height: 1px;
        margin: -1px;
        overflow: hidden;
        padding: 0;
        position: absolute;
        width: 1px;
    }
    table tr {
        border-bottom: 3px solid #ddd;
        display: block;
        margin-bottom: .625em;
    }
    table td:not([hidden]) {
        border-bottom: 1px solid #ddd;
        display: block;
        font-size: .8em;
        text-align: right;
    }
    table td::before {
        /*
    * aria-label has no advantage, it won't be read inside a table
    content: attr(aria-label);
    */
        content: attr(data-label);
        float: left;
        font-weight: bold;
        text-transform: uppercase;
    }
    table td:last-child {
        border-bottom: 0;
    }
}
/*fin tablas*/

/*iconos*/

a:hover .left, a:hover .top, a:hover .bottom, a:hover .right {}
a:hover .left:after, a:hover .top:after, a:hover .bottom:after, i:hover .right:after {
    border-top: 0.3em solid #e74c3c;
    border-right: 0.3em solid #e74c3c;
}
.add {
    background: url(./img/nuevo.svg) no-repeat -5px 7px;
    background-size: 22px, 50%;
    background-position: center;
    background-origin: content-box;
    background-color: white;
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0;
    float: right;
    border-radius: .25rem;
    border: 1px solid #1080E2;
}
.arrow {}
.arrow:after {
    content: '';
    display: inline-block;
    margin-top: 1.05em;
    margin-left: 0.6em;
    width: 0.4em;
    height: 0.4em;
    border-top: 0.3em solid #333;
    border-right: 0.3em solid #333;
}
.left:after {
    -moz-transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
    transform: rotate(-135deg);
}
.right:after {
    -moz-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}
.top:after {
    -moz-transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
.bottom:after {
    -moz-transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
}
/*fin iconos*/

/*listados*/

.pagination {
    display: inline-block;
}
.pagination a {
    color: black;
    float: left;
    color: #007bff;
    padding: 8px 16px;
    text-decoration: none;
    border: 1px solid #ddd;
}
@media screen and (max-width: 900px) {
    .pagination a {
        padding: 5px 10px;
    }
}
.pagination a.active {
    background-color: var(--primary-light-color);
    color: white;
    border: 1px solid var(--primary-light-color);
}
.pagination a:hover:not(.active) {
    background-color: var(--primary-color);
}
.pagination a:first-child {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}
.pagination a:last-child {
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}
a.link_disabled {
    color: #6c757d;
    pointer-events: none;
    cursor: auto;
    background-color: #fff;
    border-color: #dee2e6;
}
.flex-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}
.justify-content-end {
    text-align: right;
}
.flex-container>div {
    font-size: 12px;
}
/*fin de listados*/

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}
#sidebarCollapse {
    width: 30px;
    height: 30px;
    background: #f5f5f5;
}
#sidebarCollapse span {
    width: 80%;
    height: 2px;
    margin: 0 auto;
    display: block;
    background: #555;
    transition: all 0.8s cubic-bezier(0.810, -0.330, 0.345, 1.375);
    transition-delay: 0.2s;
}
#sidebarCollapse span:first-of-type {
    transform: rotate(45deg) translate(2px, 2px);
}
#sidebarCollapse span:nth-of-type(2) {
    opacity: 0;
}
#sidebarCollapse span:last-of-type {
    transform: rotate(-45deg) translate(1px, -1px);
}
#sidebarCollapse.active span {
    transform: none;
    opacity: 1;
    margin: 5px auto;
}
/* Style the list */

ul.breadcrumb {
    padding: 5px 16px;
    list-style: none;
    background-color: #eee;
}
/* Display list items side by side */

ul.breadcrumb li {
    display: inline;
    font-size: 18px;
}
ul.breadcrumb li.nav-right {
    float: right;
    padding: 5px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    text-align: right;
}
/*SVG ICON SYSTEM*/

.search {
    background: url(./img/search.svg) no-repeat scroll 7px 7px;
    background-position: right;
    background-size: 18px, 50%;
    background-origin: content-box;
}
}
.add {
    background: url(./img/nuevo.svg) no-repeat -5px 7px;
    background-size: 22px, 50%;
    background-position: center;
    background-origin: content-box;
    background-color: white;
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0;
    float: right;
    border-radius: .25rem;
    border: 1px solid #1080E2;
}
#search_wrapper {
    background-image: url(./img/nuevo.svg) no-repeat;
    width: 400px;
    height: 40px;
    position: relative;
}
input.btn.btn-sm {
    padding: .25rem .5rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: .2rem;
}
.iconmarca {
    height: 54px;
}
/*alert y notificaciones*/

.alert {
    padding: 5px;
    background-color: #f44336;
    color: white;
    opacity: 1;
    transition: opacity 0.6s;
    margin-bottom: 10px;
    margin-top: -10px;
    font-size: small;
}
.alert.success {
    background-color: #4CAF50;
    color: white;
}
.alert.info {
    background-color: #2196F3;
    color: white;
}
.alert.warning {
    background-color: #ff9800;
    color: white;
}
.closebtn {
    margin-left: 15px;
    color: white;
    font-weight: bold;
    float: right;
    font-size: 22px;
    line-height: 20px;
    cursor: pointer;
    transition: 0.3s;
}
.closebtn:hover {
    color: black;
}
.topnoti {
   font-size: medium;
    height: 45px;
    line-height: 45px;
    position: absolute;
    z-index: 101;
    top: 0;
    left: 0;
    right: 0;
    /* background: #4CAF50;*/
    text-align: center;
    overflow: hidden;
    -webkit-box-shadow: 0 0 5px black;
    -moz-box-shadow: 0 0 5px black;
    box-shadow: 0 0 5px black;
}
.oculta {
    opacity: 0;
}
.m-fadeOut {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s linear 300ms, opacity 300ms;
}
.m-fadeIn {
    visibility: visible;
    opacity: 0.9;
    transition: visibility 0s linear 0s, opacity 300ms;
}
/* fin alert y notificaciones*/

.form-control {
    width: 100%;
    padding: 12px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
}
label.form-control {
    padding: 12px 12px 12px 0;
    display: block;
    /* add this */
}
.col-form-label {
    display: block;
    padding-bottom: 10px;
    padding-top: 10px;
}
.col-form-label-sm {
    display: block;
    /* add this */
    padding: 5px;
    font-size: .875rem;
    line-height: 1.5;
}
input[type=submit].form-control {
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    float: right;
    font: 400 13.3333px Arial;
}
.form-control-sm {
    padding: .25rem .5rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: .2rem;
}
.form-control:disabled, .form-control[readonly] {
    background-color: #e9ecef;
    opacity: 1;
}
/* The Modal (background) */

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 10;
    /* Sit on top */
    padding-top: 50px;
    /* Location of the box */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}
/* Modal Content */

.modal-content {
    display: table;
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    border-radius: 0.4rem;
    width: auto;
    min-width: 300px;
}
.modal-body {
    text-align: center;
    padding-bottom: 10px;
    padding-top: 10px;
}
.modal-footer {
    text-align: center;
    padding-bottom: 5px;
    padding-top: 5px;
}
/* The Close Button */

.close, .closeModal {
    color: #aaaaaa;
    float: right;
    font-size: 20px;
    font-weight: bold;
}
.close:hover, .close:focus, .closeModal:hover, .closeModal:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}
/*tabs*/

.tabs {
    display: flex;
    flex-wrap: wrap;
    background: #efefef;
    box-shadow: 0 8px 39px -17px rgba(0, 0, 0, 0.3);
}
.tabs-input {
    position: absolute;
    opacity: 0;
}
.tabs-label {
    width: 100%;
    padding: 8px 15px;
    background: #e5e5e5;
    cursor: pointer;
    font-weight: bold;
    font-size: 14px;
    color: #7f7f7f;
    transition: background 0.1s, color 0.1s;
}
.tabs-label:hover {
    background: #d8d8d8;
}
.tabs-label:active {
    background: #ccc;
}
.tabs-input:focus+.tabs-label {
    box-shadow: inset 0px 0px 0px 3px #2aa1c0;
    z-index: 1;
}
.tabs-input:checked+.tabs-label {
    background: #fff;
    color: #000;
}
@media (min-width: 600px) {
    .tabs-label {
        width: auto;
    }
}
.tabs-panel {
    display: none;
    padding: 10px 15px 15px;
    background: #fff;
    width: 100%;
}
@media (min-width: 600px) {
    .tabs-panel {
        order: 99;
    }
}
.tabs-input:checked+.tabs-label+.tabs-panel {
    display: block;
}
/*snackbars*/

#snackbar {
    visibility: hidden;
    min-width: 250px;
    transform: translate(-50%, 0);
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    z-index: 1;
    left: 50%;
    bottom: 70px;
    font-size: 17px;
}
#snackbar.show {
    visibility: visible;
    -webkit-animation: fadein 0.5s, fadeout 10.5s 2.5s;
    animation: fadein 0.5s, fadeout 10.5s 2.5s;
}
@-webkit-keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }
    to {
        bottom: 30px;
        opacity: 1;
    }
}
@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }
    to {
        bottom: 30px;
        opacity: 1;
    }
}
@-webkit-keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }
    to {
        bottom: 0;
        opacity: 0;
    }
}
@keyframes fadeout {
    from {
        bottom: 30px;
        opacity: 1;
    }
    to {
        bottom: 0;
        opacity: 0;
    }
}
#snackbar.success {
    background-color: #4CAF50;
}
#snackbar.info {
    background-color: #2196F3;
}
#snackbar.warning {
    background-color: #ff9800;
}
.is-invalid {
    border-bottom: 1px solid red;
}
.is-valid {
    border-bottom: 1px solid green;
}
.autocomplete {
    /*the container must be positioned relative:*/
    position: relative;
    /* display: inline-block;*/
}
input {
    border: 1px solid transparent;
    /* padding: 10px;*/
}
.autocomplete-items {
    margin-top: 30px;
    position: absolute;
    border: 1px solid #d4d4d4;
    border-bottom: none;
    border-top: none;
    z-index: 99;
    /*position the autocomplete items to be the same width as the container:*/
    top: 100%;
    left: 0;
    right: 0;
    max-height: 150px;
    overflow-y: scroll;
}
.autocomplete-items div {
    padding: 10px;
    cursor: pointer;
    background-color: #fff;
    border-bottom: 1px solid #d4d4d4;
}
.autocomplete-items div:hover {
    /*when hovering an item:*/
    background-color: #e9e9e9;
}
.autocomplete-active {
    /*when navigating through the items using the arrow keys:*/
    background-color: DodgerBlue !important;
    color: #ffffff;
}
.msg-error {
    font-size: 0.7rem;
}
.warning {
    color: #ffc107;
}
.danger {
    color: #d9534f;
}


.loading {
    display: block;
    position: fixed;
    z-index: 999;
    height: 10em;
    width: 6em;
    overflow: show;
    margin: auto;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}
.rotate-center {
    -webkit-animation: rotate-center 10s cubic-bezier(0.250, 0.460, 0.450, 0.940) infinite both;
    animation: rotate-center 10s cubic-bezier(0.250, 0.460, 0.450, 0.940) infinite both;
}
@-webkit-keyframes rotate-center {
    0% {
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes rotate-center {
    0% {
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
/* Transparent Overlay */

.loading:before {
    content: '';
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(rgba(20, 20, 20, .8), rgba(0, 0, 0, .8));
    background: -webkit-radial-gradient(rgba(20, 20, 20, .8), rgba(0, 0, 0, .8));
}
.loading img {
    height: 100px;
    width: auto;
}